#include <iostream>

using namespace std;

__int64 t, i, c, a, ii;

int main(){
	freopen("weighing.IN","r",stdin);
	cin >> t;
	for (ii=0; ii<t; ii++){
		cin >> c;
		a=1; i=0;
		while(1){
			i++;
			a*=2;
			if (a>c){
				cout << i-1 << "\n";
				break;
			}
		}
	}
	return 0;
}
